Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sleepycat.je
Enum OperationStatus

    java.lang.Object
      java.lang.Enum<OperationStatus>
          com.sleepycat.je.OperationStatus

All Implemented Interfaces:
  Serializable, Comparable<OperationStatus>

    public enum OperationStatus

extends Enum<OperationStatus>

Status values from database operations.

Enum Constant Summary
`KEYEMPTY` The cursor operation was unsuccessful because the current record was deleted.
`KEYEXIST` The operation to insert data was configured to not allow overwrite and the key already exists in the database.
`NOTFOUND` The requested key/data pair was not found.
`SUCCESS` The operation was successful.

Method Summary
`String` | `toString()`
`static OperationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OperationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final OperationStatus SUCCESS

  The operation was successful.

### KEYEXIST

    public static final OperationStatus KEYEXIST

  The operation to insert data was configured to not allow overwrite and the key already exists in the database.

### KEYEMPTY

    public static final OperationStatus KEYEMPTY

  The cursor operation was unsuccessful because the current record was deleted. This can only occur if a Cursor is positioned to an existing record, then the record is deleted, and then the getCurrent, putCurrent, or delete methods is called.

### NOTFOUND

    public static final OperationStatus NOTFOUND

  The requested key/data pair was not found.

Method Detail

### values

    public static OperationStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OperationStatus c : OperationStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OperationStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<OperationStatus>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.